diff --git a/recipes/openssl/openssl-1.0.0e/engines-install-in-libdir-ssl.patch b/recipes/openssl/openssl-1.0.0e/engines-install-in-libdir-ssl.patch
deleted file mode 100644
index 949d6ad..0000000
--- a/recipes/openssl/openssl-1.0.0e/engines-install-in-libdir-ssl.patch
+++ /dev/null
@@ -1,53 +0,0 @@
-Index: openssl-1.0.0/engines/Makefile
-===================================================================
---- openssl-1.0.0.orig/engines/Makefile
-+++ openssl-1.0.0/engines/Makefile
-@@ -107,7 +107,7 @@
- 	@[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
- 	@if [ -n "$(SHARED_LIBS)" ]; then \
- 		set -e; \
--		$(PERL) $(TOP)/util/mkdir-p.pl $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/engines; \
-+		$(PERL) $(TOP)/util/mkdir-p.pl $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/ssl/engines; \
- 		for l in $(LIBNAMES); do \
- 			( echo installing $$l; \
- 			  pfx=lib; \
-@@ -119,13 +119,13 @@
- 				*DSO_WIN32*)	sfx="eay32.dll"; pfx=;;	\
- 				*)		sfx=".bad";;	\
- 				esac; \
--				cp $$pfx$$l$$sfx $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/engines/$$pfx$$l$$sfx.new; \
-+				cp $$pfx$$l$$sfx $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/ssl/engines/$$pfx$$l$$sfx.new; \
- 			  else \
- 				sfx=".so"; \
--				cp cyg$$l.dll $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/engines/$$pfx$$l$$sfx.new; \
-+				cp cyg$$l.dll $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/ssl/engines/$$pfx$$l$$sfx.new; \
- 			  fi; \
--			  chmod 555 $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/engines/$$pfx$$l$$sfx.new; \
--			  mv -f $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/engines/$$pfx$$l$$sfx.new $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/engines/$$pfx$$l$$sfx ); \
-+			  chmod 555 $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/ssl/engines/$$pfx$$l$$sfx.new; \
-+			  mv -f $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/ssl/engines/$$pfx$$l$$sfx.new $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/ssl/engines/$$pfx$$l$$sfx ); \
- 		done; \
- 	fi
- 	@target=install; $(RECURSIVE_MAKE)
-Index: openssl-1.0.0/engines/ccgost/Makefile
-===================================================================
---- openssl-1.0.0.orig/engines/ccgost/Makefile
-+++ openssl-1.0.0/engines/ccgost/Makefile
-@@ -53,13 +53,13 @@
- 			*DSO_WIN32*) sfx="eay32.dll"; pfx=;; \
- 			*) sfx=".bad";; \
- 			esac; \
--			cp $${pfx}$(LIBNAME)$$sfx $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/engines/$${pfx}$(LIBNAME)$$sfx.new; \
-+			cp $${pfx}$(LIBNAME)$$sfx $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/ssl/engines/$${pfx}$(LIBNAME)$$sfx.new; \
- 		else \
- 			sfx=".so"; \
--			cp cyg$(LIBNAME).dll $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/engines/$${pfx}$(LIBNAME)$$sfx.new; \
-+			cp cyg$(LIBNAME).dll $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/ssl/engines/$${pfx}$(LIBNAME)$$sfx.new; \
- 		fi; \
--		chmod 555 $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/engines/$${pfx}$(LIBNAME)$$sfx.new; \
--		mv -f $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/engines/$${pfx}$(LIBNAME)$$sfx.new $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/engines/$${pfx}$(LIBNAME)$$sfx; \
-+		chmod 555 $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/ssl/engines/$${pfx}$(LIBNAME)$$sfx.new; \
-+		mv -f $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/ssl/engines/$${pfx}$(LIBNAME)$$sfx.new $(INSTALL_PREFIX)$(INSTALLTOP)/$(LIBDIR)/ssl/engines/$${pfx}$(LIBNAME)$$sfx; \
- 	fi
- 
- links:
diff --git a/recipes/openssl/openssl-1.0.0e/mingw.patch b/recipes/openssl/openssl-1.0.0e/mingw.patch
deleted file mode 100644
index 2b106c3..0000000
--- a/recipes/openssl/openssl-1.0.0e/mingw.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -urN openssl-1.0.0e/Makefile.shared openssl-1.0.0enew//Makefile.shared
---- openssl-1.0.0e/Makefile.shared	2010-08-21 13:36:49.000000000 +0200
-+++ openssl-1.0.0enew//Makefile.shared	2012-04-10 15:43:18.384797024 +0200
-@@ -293,7 +293,7 @@
- 	fi; \
- 	dll_name=$$SHLIB$$SHLIB_SOVER$$SHLIB_SUFFIX; \
- 	$(PERL) util/mkrc.pl $$dll_name | \
--		$(CROSS_COMPILE)windres -o rc.o; \
-+		$(WINDRES) -o rc.o; \
- 	extras="$$extras rc.o"; \
- 	ALLSYMSFLAGS='-Wl,--whole-archive'; \
- 	NOALLSYMSFLAGS='-Wl,--no-whole-archive'; \
diff --git a/recipes/openssl/openssl-1.0.0e/parallel-make.patch b/recipes/openssl/openssl-1.0.0e/parallel-make.patch
deleted file mode 100644
index e12bb28..0000000
--- a/recipes/openssl/openssl-1.0.0e/parallel-make.patch
+++ /dev/null
@@ -1,28 +0,0 @@
-Additional dependencies, which unfortunately is not enough to get
-parallel builds to work.  Tested with -j12 which breaks :-(
-
-Esben Haabendal <eha@doredevelopment.dk>
-
---- openssl-1.0.0c/Makefile.orig	2011-02-02 13:43:18.626143389 +0100
-+++ openssl-1.0.0c/Makefile	2011-02-02 13:44:21.129322066 +0100
-@@ -245,15 +245,15 @@
- 
- build_crypto:
- 	@dir=crypto; target=all; $(BUILD_ONE_CMD)
--build_ssl:
-+build_ssl: build_crypto
- 	@dir=ssl; target=all; $(BUILD_ONE_CMD)
--build_engines:
-+build_engines: build_crypto
- 	@dir=engines; target=all; $(BUILD_ONE_CMD)
--build_apps:
-+build_apps: build_libs
- 	@dir=apps; target=all; $(BUILD_ONE_CMD)
--build_tests:
-+build_tests: build_libs
- 	@dir=test; target=all; $(BUILD_ONE_CMD)
--build_tools:
-+build_tools: build_libs
- 	@dir=tools; target=all; $(BUILD_ONE_CMD)
- 
- all_testapps: build_libs build_testapps
diff --git a/recipes/openssl/openssl_1.0.0e.oe b/recipes/openssl/openssl_1.0.0e.oe
deleted file mode 100644
index 3edb843..0000000
--- a/recipes/openssl/openssl_1.0.0e.oe
+++ /dev/null
@@ -1,9 +0,0 @@
-require openssl.inc
-
-SRC_URI += "file://engines-install-in-libdir-ssl.patch"
-
-SRC_URI += "file://parallel-make.patch"
-
-SRC_URI += "file://mingw.patch"
-# above patch should be a step in the right direction, but not enough
-PARALLEL_MAKE = ""
diff --git a/recipes/openssl/openssl_1.0.0e.oe.sig b/recipes/openssl/openssl_1.0.0e.oe.sig
deleted file mode 100644
index 276bf9e..0000000
--- a/recipes/openssl/openssl_1.0.0e.oe.sig
+++ /dev/null
@@ -1 +0,0 @@
-235eb68e5a31b0f7a23bc05f52d7a39c596e2e69  openssl-1.0.0e.tar.gz