diff --git a/recipes/util-linux/util-linux-2.22.2/configure-install-dirs.patch b/recipes/util-linux/util-linux-2.22.2/configure-install-dirs.patch
deleted file mode 100644
index b5b81d0..0000000
--- a/recipes/util-linux/util-linux-2.22.2/configure-install-dirs.patch
+++ /dev/null
@@ -1,19 +0,0 @@
---- util-linux-2.22.2/configure.ac~orig	2013-04-25 13:52:40.527984112 +0200
-+++ util-linux-2.22.2/configure.ac	2013-04-25 13:56:19.579715808 +0200
-@@ -70,10 +70,14 @@
- 
- 
- # The original default values of {bin,sbin,lib}dir
--usrbin_execdir='${exec_prefix}/bin'
-+if test -z "${usrbin_execdir}" ; then
-+  usrbin_execdir='${exec_prefix}/'`basename "$bindir"`
-+fi
- AC_SUBST([usrbin_execdir])
- 
--usrsbin_execdir='${exec_prefix}/sbin'
-+if test -z "${usrsbin_execdir}" ; then
-+  usrsbin_execdir='${exec_prefix}/'`basename "$sbindir"`
-+fi
- AC_SUBST([usrsbin_execdir])
- 
- case $libdir in
diff --git a/recipes/util-linux/util-linux-2.22.2/uclibc-__progname-conflict.patch b/recipes/util-linux/util-linux-2.22.2/uclibc-__progname-conflict.patch
deleted file mode 100644
index 5b743cb..0000000
--- a/recipes/util-linux/util-linux-2.22.2/uclibc-__progname-conflict.patch
+++ /dev/null
@@ -1,31 +0,0 @@
-configure should include errno.h instead of argp.h when
-checking for presence of program_invocation_short_name
-uclibc defines this to be const char* unlike util-linux-ng
-which defines this to be char* so this error goes unnoticed
-on glibc/eglibc systems.
-
-here is the error it fixes
-
-in file included from mountP.h:14:0,                                                                               
-                 from cache.c:29:                                                                                  
-/home/kraj/work/slugos/build/tmp-slugos-uclibc/sysroots/nslu2le/usr/include/errno.h:55:46: error: conflicting types for '__progname'                                                                                                  
-../../../include/c.h:118:14: note: previous declaration of '__progname' was here                                   
-make[3]: *** [cache.lo] Error 1          
-
-
-Signed-off-by: Khem Raj <raj.khem@gmail.com>
-
-Upstream-Status: Pending
-Index: util-linux-2.22.1/configure.ac
-===================================================================
---- util-linux-2.22.1.orig/configure.ac
-+++ util-linux-2.22.1/configure.ac
-@@ -372,7 +372,7 @@ esac
- 
- 
- AC_MSG_CHECKING(whether program_invocation_short_name is defined)
--AC_TRY_COMPILE([#include <argp.h>],
-+AC_TRY_COMPILE([#include <errno.h>],
- 	       [program_invocation_short_name = "test";],
- 	       AC_DEFINE(HAVE_PROGRAM_INVOCATION_SHORT_NAME, 1,
- 			 [Define if program_invocation_short_name is defined])
diff --git a/recipes/util-linux/util-linux-2.22.2/util-linux-ng-replace-siginterrupt.patch b/recipes/util-linux/util-linux-2.22.2/util-linux-ng-replace-siginterrupt.patch
deleted file mode 100644
index f131b76..0000000
--- a/recipes/util-linux/util-linux-2.22.2/util-linux-ng-replace-siginterrupt.patch
+++ /dev/null
@@ -1,27 +0,0 @@
-Upstream-Status: Pending
-
-Index: util-linux-2.22.1/login-utils/login.c
-===================================================================
---- util-linux-2.22.1.orig/login-utils/login.c
-+++ util-linux-2.22.1/login-utils/login.c
-@@ -1239,6 +1239,8 @@ int main(int argc, char **argv)
- 	char *buff;
- 	int childArgc = 0;
- 	int retcode;
-+	struct sigaction act;
-+
- 
- 	char *pwdbuf = NULL;
- 	struct passwd *pwd = NULL, _pwd;
-@@ -1252,7 +1254,10 @@ int main(int argc, char **argv)
- 	timeout = (unsigned int)getlogindefs_num("LOGIN_TIMEOUT", LOGIN_TIMEOUT);
- 
- 	signal(SIGALRM, timedout);
--	siginterrupt(SIGALRM, 1);	/* we have to interrupt syscalls like ioclt() */
-+	(void) sigaction(SIGALRM, NULL, &act);
-+	act.sa_flags &= ~SA_RESTART;
-+	sigaction(SIGALRM, &act, NULL);
-+
- 	alarm(timeout);
- 	signal(SIGQUIT, SIG_IGN);
- 	signal(SIGINT, SIG_IGN);
diff --git a/recipes/util-linux/util-linux_2.22.2.oe b/recipes/util-linux/util-linux_2.22.2.oe
deleted file mode 100644
index b2491fe..0000000
--- a/recipes/util-linux/util-linux_2.22.2.oe
+++ /dev/null
@@ -1,35 +0,0 @@
-# -*- mode:python; -*-
-LICENSE = "GPL-3.0+ & GPL-2.0+ & GPL-2.0 & LGPL-2.0+ & BSD-4-Clause-UC*"
-
-require util-linux.inc
-
-SRC_URI += "file://util-linux-ng-replace-siginterrupt.patch"
-SRC_URI += "file://uclibc-__progname-conflict.patch"
-
-SRC_URI += "file://configure-install-dirs.patch"
-EXTRA_OECONF += "usrbin_execdir=${bindir} usrsbin_execdir=${sbindir}"
-autotools_configure () {
-        ${CONFIGURE_SCRIPT} \
- ${OECONF_ARCHTUPLE}\
- --prefix=${prefix} --exec_prefix=${exec_prefix}\
- --bindir=${base_bindir} --sbindir=${base_sbindir} --libexecdir=${libexecdir}\
- --sysconfdir=${sysconfdir} --sharedstatedir=${sharedstatedir}\
- --localstatedir=${localstatedir}\
- --libdir=${libdir} --includedir=${includedir}\
- --datarootdir=${datadir} --infodir=${infodir} --mandir=${mandir}\
- ${EXTRA_OECONF} $@
-}
-
-EXTRA_OECONF_PAM = " --disable-login --disable-su"
-
-AUTO_PACKAGE_UTILS = "agetty blkid cal chrt col colcrt colrm \
-	column cytune dmesg fallocate fdisk findfs findmnt flock fsck \
-	fsck.cramfs fsck.minix getopt hexdump hwclock ionice ipcmk ipcrm ipcs \
-	isosize logger look losetup lsblk lscpu mkfs mkfs.bfs mkfs.cramfs \
-	mkfs.minix mcookie mkswap mount namei pivot_root rename renice \
-	rev script scriptreplay setarch setsid sfdisk swaplabel swapon \
-	switch_root tailf taskset umount unshare uuidd uuidgen wall whereis \
-	wipefs addpart blockdev ctrlaltdel delpart fdformat fsfreeze fstrim \
-	ldattach readprofile rtcwake tunelp more mountpoint partx eject \
-	kill lslocks utmpdump wdctl chcpu raw resizepart sulogin"
-AUTO_PACKAGE_UTILS:>USE_ncurses = " cfdisk"
diff --git a/recipes/util-linux/util-linux_2.22.2.oe.sig b/recipes/util-linux/util-linux_2.22.2.oe.sig
deleted file mode 100644
index 825d981..0000000
--- a/recipes/util-linux/util-linux_2.22.2.oe.sig
+++ /dev/null
@@ -1 +0,0 @@
-c7e975a0970f90041ea5bf9124ef79614e160017  util-linux-2.22.2.tar.bz2