diff --git a/recipes/gnutls/gnutls-2.12.20/configure-fix.patch b/recipes/gnutls/gnutls-2.12.20/configure-fix.patch
deleted file mode 100644
index 14f87e0..0000000
--- a/recipes/gnutls/gnutls-2.12.20/configure-fix.patch
+++ /dev/null
@@ -1,65 +0,0 @@
-Upstream-Status: Inappropriate [distribution]
-
-rebased from original configure_madness.patch
-
-libtasn1 provides an .pc file in upstream,
-and a libgcrypt.pc is added in libgcrypt recipe,
-so use Requires.private for these two.
-
-against 2.8.6
-
-07/02/2010 - qhe
-
----
-Index: gnutls-2.12.11/lib/configure.ac
-===================================================================
---- gnutls-2.12.11.orig/lib/configure.ac
-+++ gnutls-2.12.11/lib/configure.ac
-@@ -126,8 +126,8 @@ lgl_INIT
- AC_CHECK_FUNCS(getrusage,,)
- AC_LIB_HAVE_LINKFLAGS(pthread,, [#include <pthread.h>], [pthread_mutex_lock (0);])
- 
--LIBGNUTLS_LIBS="-L${libdir} -lgnutls $LIBS"
--LIBGNUTLS_CFLAGS="-I${includedir}"
-+LIBGNUTLS_LIBS="-lgnutls $LIBS"
-+LIBGNUTLS_CFLAGS=""
- AC_SUBST(LIBGNUTLS_LIBS)
- AC_SUBST(LIBGNUTLS_CFLAGS)
- 
-Index: gnutls-2.12.11/lib/gnutls.pc.in
-===================================================================
---- gnutls-2.12.11.orig/lib/gnutls.pc.in
-+++ gnutls-2.12.11/lib/gnutls.pc.in
-@@ -20,6 +20,4 @@ Description: Transport Security Layer im
- URL: http://www.gnu.org/software/gnutls/
- Version: @VERSION@
- Libs: -L${libdir} -lgnutls
--Libs.private: @LTLIBGCRYPT@ @LTLIBNETTLE@ @NETTLE_LIBS@ @GNUTLS_ZLIB_LIBS_PRIVATE@
--@GNUTLS_REQUIRES_PRIVATE@
- Cflags: -I${includedir}
-Index: gnutls-2.12.11/libextra/configure.ac
-===================================================================
---- gnutls-2.12.11.orig/libextra/configure.ac
-+++ gnutls-2.12.11/libextra/configure.ac
-@@ -41,8 +41,8 @@ LIBGNUTLS_EXTRA_HOOKS
- 
- xgl_INIT
- 
--LIBGNUTLS_EXTRA_LIBS="-L${libdir} -lgnutls-extra $LZO_LIBS $LIBGNUTLS_LIBS"
--LIBGNUTLS_EXTRA_CFLAGS="-I${includedir}"
-+LIBGNUTLS_EXTRA_LIBS="-lgnutls-extra $LZO_LIBS $LIBGNUTLS_LIBS"
-+LIBGNUTLS_EXTRA_CFLAGS=""
- AC_SUBST(LIBGNUTLS_EXTRA_LIBS)
- AC_SUBST(LIBGNUTLS_EXTRA_CFLAGS)
- 
-Index: gnutls-2.12.11/libextra/gnutls-extra.pc.in
-===================================================================
---- gnutls-2.12.11.orig/libextra/gnutls-extra.pc.in
-+++ gnutls-2.12.11/libextra/gnutls-extra.pc.in
-@@ -22,5 +22,5 @@ URL: http://www.gnu.org/software/gnutls/
- Requires: gnutls
- Version: @VERSION@
- Libs: -L${libdir} -lgnutls-extra
--Libs.private: @LIBGNUTLS_EXTRA_LIBS@
-+Libs.private: -llzo2
- Cflags: -I${includedir}
diff --git a/recipes/gnutls/gnutls-2.12.20/correct_rpl_gettimeofday_signature.patch b/recipes/gnutls/gnutls-2.12.20/correct_rpl_gettimeofday_signature.patch
deleted file mode 100644
index b8f0d72..0000000
--- a/recipes/gnutls/gnutls-2.12.20/correct_rpl_gettimeofday_signature.patch
+++ /dev/null
@@ -1,57 +0,0 @@
-Currently we fail on uclibc like below
-
-| In file included from /home/kraj/work/angstrom/sources/openembedded-core/build/tmp-uclibc/sysroots/qemuarm/usr/include/sys/procfs.h:32:0,
-|                  from /home/kraj/work/angstrom/sources/openembedded-core/build/tmp-uclibc/sysroots/qemuarm/usr/include/sys/ucontext.h:26,
-|                  from /home/kraj/work/angstrom/sources/openembedded-core/build/tmp-uclibc/sysroots/qemuarm/usr/include/signal.h:392,
-|                  from ../../gl/signal.h:52,
-|                  from ../../gl/sys/select.h:58,
-|                  from /home/kraj/work/angstrom/sources/openembedded-core/build/tmp-uclibc/sysroots/qemuarm/usr/include/sys/types.h:220,
-|                  from ../../gl/sys/types.h:28,
-|                  from ../../lib/includes/gnutls/gnutls.h:46,
-|                  from ex-cxx.cpp:3:
-| ../../gl/sys/time.h:396:66: error: conflicting declaration 'void* restrict'
-| ../../gl/sys/time.h:396:50: error: 'restrict' has a previous declaration as 'timeval* restrict'
-| make[4]: *** [ex-cxx.o] Error 1
-| make[4]: *** Waiting for unfinished jobs....
-
-
-GCC detects that we call 'restrict' as param name in function
-signatures and complains since both params are called 'restrict'
-therefore we use __restrict to denote the C99 keywork
-
-This only happens of uclibc since this code is not excercised with
-eglibc otherwise we will have same issue there too
-
-Signed-off-by: Khem Raj <raj.khem@gmail.com>
-
-Upstream-Status: Pending
-
-Index: gnutls-2.12.14/gl/sys_time.in.h
-===================================================================
---- gnutls-2.12.14.orig/gl/sys_time.in.h	2012-01-15 10:54:39.517285351 -0800
-+++ gnutls-2.12.14/gl/sys_time.in.h	2012-01-15 10:59:23.773299108 -0800
-@@ -82,20 +82,20 @@
- #    define gettimeofday rpl_gettimeofday
- #   endif
- _GL_FUNCDECL_RPL (gettimeofday, int,
--                  (struct timeval *restrict, void *restrict)
-+                  (struct timeval *__restrict, void *__restrict)
-                   _GL_ARG_NONNULL ((1)));
- _GL_CXXALIAS_RPL (gettimeofday, int,
--                  (struct timeval *restrict, void *restrict));
-+                  (struct timeval *__restrict, void *__restrict));
- #  else
- #   if !@HAVE_GETTIMEOFDAY@
- _GL_FUNCDECL_SYS (gettimeofday, int,
--                  (struct timeval *restrict, void *restrict)
-+                  (struct timeval *__restrict, void *__restrict)
-                   _GL_ARG_NONNULL ((1)));
- #   endif
- /* Need to cast, because on glibc systems, by default, the second argument is
-                                                   struct timezone *.  */
- _GL_CXXALIAS_SYS_CAST (gettimeofday, int,
--                       (struct timeval *restrict, void *restrict));
-+                       (struct timeval *__restrict, void *__restrict));
- #  endif
- _GL_CXXALIASWARN (gettimeofday);
- # elif defined GNULIB_POSIXCHECK
diff --git a/recipes/gnutls/gnutls-2.12.20/fix-gettext-version.patch b/recipes/gnutls/gnutls-2.12.20/fix-gettext-version.patch
deleted file mode 100644
index 4c9137a..0000000
--- a/recipes/gnutls/gnutls-2.12.20/fix-gettext-version.patch
+++ /dev/null
@@ -1,46 +0,0 @@
-
-Upstream-Status: Inappropriate [configuration]
-
-Signed-off-by: Saul Wold <sgw@linux.intel.com>
-
-Index: gnutls-2.12.14/lib/po/Makefile.in.in
-===================================================================
---- gnutls-2.12.14.orig/lib/po/Makefile.in.in
-+++ gnutls-2.12.14/lib/po/Makefile.in.in
-@@ -8,8 +8,8 @@
- # Please note that the actual code of GNU gettext is covered by the GNU
- # General Public License and is *not* in the public domain.
- #
--# Origin: gettext-0.17
--GETTEXT_MACRO_VERSION = 0.17
-+# Origin: gettext-0.18
-+GETTEXT_MACRO_VERSION = 0.18
- 
- PACKAGE = @PACKAGE@
- VERSION = @VERSION@
-Index: gnutls-2.12.14/lib/m4/po.m4
-===================================================================
---- gnutls-2.12.14.orig/lib/m4/po.m4
-+++ gnutls-2.12.14/lib/m4/po.m4
-@@ -29,7 +29,7 @@ AC_DEFUN([AM_PO_SUBDIRS],
- 
-   dnl Release version of the gettext macros. This is used to ensure that
-   dnl the gettext macros and po/Makefile.in.in are in sync.
--  AC_SUBST([GETTEXT_MACRO_VERSION], [0.17])
-+  AC_SUBST([GETTEXT_MACRO_VERSION], [0.18])
- 
-   dnl Perform the following tests also if --disable-nls has been given,
-   dnl because they are needed for "make dist" to work.
-Index: gnutls-2.12.14/lib/configure.ac
-===================================================================
---- gnutls-2.12.14.orig/lib/configure.ac
-+++ gnutls-2.12.14/lib/configure.ac
-@@ -39,7 +39,7 @@ AC_PROG_LIBTOOL
- LIBGNUTLS_HOOKS
- 
- AM_GNU_GETTEXT([external])
--AM_GNU_GETTEXT_VERSION([0.17])
-+AM_GNU_GETTEXT_VERSION([0.18])
- 
- AC_C_BIGENDIAN
- 
diff --git a/recipes/gnutls/gnutls-2.12.20/gets-not-defined-in-glibc-2.16.patch b/recipes/gnutls/gnutls-2.12.20/gets-not-defined-in-glibc-2.16.patch
deleted file mode 100644
index db86b7d..0000000
--- a/recipes/gnutls/gnutls-2.12.20/gets-not-defined-in-glibc-2.16.patch
+++ /dev/null
@@ -1,34 +0,0 @@
-diff --git a/gl/stdio.in.h b/gl/stdio.in.h
-index 9dc7c4a..8cb19d7 100644
---- a/gl/stdio.in.h
-+++ b/gl/stdio.in.h
-@@ -710,9 +710,11 @@ _GL_CXXALIAS_RPL (gets, char *, (char *s));
- _GL_CXXALIAS_SYS (gets, char *, (char *s));
- #  undef gets
- # endif
-+# if defined gets
- _GL_CXXALIASWARN (gets);
- /* It is very rare that the developer ever has full control of stdin,
-    so any use of gets warrants an unconditional warning.  Assume it is
-    always declared, since it is required by C89.  */
- _GL_WARN_ON_USE (gets, "gets is a security hole - use fgets instead");
-+# endif
- #endif
-
- 
-diff --git a/lib/gl/stdio.in.h b/lib/gl/stdio.in.h
-index 03bea2a..cb6483b 100644
---- a/lib/gl/stdio.in.h
-+++ b/lib/gl/stdio.in.h
-@@ -710,9 +710,11 @@ _GL_CXXALIAS_RPL (gets, char *, (char *s));
- _GL_CXXALIAS_SYS (gets, char *, (char *s));
- #  undef gets
- # endif
-+# if defined gets
- _GL_CXXALIASWARN (gets);
- /* It is very rare that the developer ever has full control of stdin,
-    so any use of gets warrants an unconditional warning.  Assume it is
-    always declared, since it is required by C89.  */
- _GL_WARN_ON_USE (gets, "gets is a security hole - use fgets instead");
-+# endif
- #endif
diff --git a/recipes/gnutls/gnutls-2.12.20/gnutls-openssl.patch b/recipes/gnutls/gnutls-2.12.20/gnutls-openssl.patch
deleted file mode 100644
index ef70674..0000000
--- a/recipes/gnutls/gnutls-2.12.20/gnutls-openssl.patch
+++ /dev/null
@@ -1,126 +0,0 @@
-Upstream-Status: Backport
-
-Index: gnutls-1.6.0/libextra/gnutls_openssl.c
-===================================================================
---- gnutls-1.6.0.orig/libextra/gnutls_openssl.c	2006-08-13 22:34:09.000000000 +0200
-+++ gnutls-1.6.0/libextra/gnutls_openssl.c	2006-12-12 15:07:59.002227000 +0100
-@@ -256,12 +256,17 @@
-   ssl->rfd = (gnutls_transport_ptr_t) - 1;
-   ssl->wfd = (gnutls_transport_ptr_t) - 1;
- 
-+  ssl->ssl_peek_buffer = NULL;
-+  ssl->ssl_peek_buffer_size = ssl->ssl_peek_avail = 0;
-+
-   return ssl;
- }
- 
- void
- SSL_free (SSL * ssl)
- {
-+  if (ssl->ssl_peek_buffer)
-+    free(ssl->ssl_peek_buffer);
-   gnutls_certificate_free_credentials (ssl->gnutls_cred);
-   gnutls_deinit (ssl->gnutls_state);
-   free (ssl);
-@@ -285,6 +290,7 @@
- SSL_set_fd (SSL * ssl, int fd)
- {
-   gnutls_transport_set_ptr (ssl->gnutls_state, GNUTLS_INT_TO_POINTER (fd));
-+  ssl->rfd = ssl->wfd = fd;
-   return 1;
- }
- 
-@@ -310,6 +316,17 @@
-   return 1;
- }
- 
-+int SSL_get_rfd(SSL *ssl)
-+{
-+  return ssl->rfd;
-+}
-+
-+int SSL_get_wfd(SSL *ssl)
-+{
-+  return ssl->wfd;
-+}
-+
-+
- void
- SSL_set_bio (SSL * ssl, BIO * rbio, BIO * wbio)
- {
-@@ -325,6 +342,8 @@
- int
- SSL_pending (SSL * ssl)
- {
-+  if (ssl->ssl_peek_avail)
-+    return ssl->ssl_peek_avail;
-   return gnutls_record_check_pending (ssl->gnutls_state);
- }
- 
-@@ -480,11 +499,50 @@
-   return 1;
- }
- 
-+int SSL_peek(SSL *ssl, void *buf, int len)
-+{
-+  if (len > ssl->ssl_peek_buffer_size) {
-+    ssl->ssl_peek_buffer = realloc (ssl->ssl_peek_buffer, len);
-+    ssl->ssl_peek_buffer_size = len;
-+  }
-+
-+  if (ssl->ssl_peek_avail == 0) {
-+
-+    int ret;
-+    
-+    ret = gnutls_record_recv(ssl->gnutls_state, ssl->ssl_peek_buffer, len);
-+    ssl->last_error = ret;
-+    
-+    if (ret > 0)
-+      ssl->ssl_peek_avail += ret;
-+  }
-+
-+  if (len > ssl->ssl_peek_avail)
-+    len = ssl->ssl_peek_avail;
-+
-+  memcpy (buf, ssl->ssl_peek_buffer, len);
-+
-+  return len;
-+}
-+
- int
- SSL_read (SSL * ssl, void *buf, int len)
- {
-   int ret;
- 
-+  if (ssl->ssl_peek_avail) {
-+    int n = (ssl->ssl_peek_avail > len) ? len : ssl->ssl_peek_avail;
-+
-+    memcpy (buf, ssl->ssl_peek_buffer, n);
-+
-+    if (ssl->ssl_peek_avail > n)
-+      memmove (ssl->ssl_peek_buffer, ssl->ssl_peek_buffer + n, ssl->ssl_peek_avail - n);
-+
-+    ssl->ssl_peek_avail -= n;
-+
-+    return n;
-+  }
-+
-   ret = gnutls_record_recv (ssl->gnutls_state, buf, len);
-   ssl->last_error = ret;
- 
-Index: gnutls-1.6.0/includes/gnutls/openssl.h
-===================================================================
---- gnutls-1.6.0.orig/libextra/includes/gnutls/openssl.h	2006-03-08 11:44:58.000000000 +0100
-+++ gnutls-1.6.0/libextra/includes/gnutls/openssl.h	2006-12-12 15:07:26.032227000 +0100
-@@ -164,6 +164,11 @@
- 
-     gnutls_transport_ptr_t rfd;
-     gnutls_transport_ptr_t wfd;
-+
-+    char *ssl_peek_buffer;
-+    size_t ssl_peek_buffer_size;
-+    size_t ssl_peek_avail;
-+
-   };
- 
- #define rbio gnutls_state
diff --git a/recipes/gnutls/gnutls-2.12.20/gnutls-texinfo-euro.patch b/recipes/gnutls/gnutls-2.12.20/gnutls-texinfo-euro.patch
deleted file mode 100644
index 10e3774..0000000
--- a/recipes/gnutls/gnutls-2.12.20/gnutls-texinfo-euro.patch
+++ /dev/null
@@ -1,18 +0,0 @@
-Upstream-Status: Backport
-
-The version of texinfo in Debian Sarge does not understand the @euro{} command.
-This patch replaces the @euro{} command with the word "euro".
-
---- gnutls-1.3.5/doc/gnutls.texi.orig	2006-04-26 08:06:40.918268000 +0930
-+++ gnutls-1.3.5/doc/gnutls.texi	2006-04-26 08:06:52.446515440 +0930
-@@ -11,8 +11,8 @@
- long as it is difficult enough to generate two different messages with
- the same hash algorithm output. In that case the same signature could
- be used as a proof for both messages. Nobody wants to sign an innocent
--message of donating 1 @euro{} to Greenpeace and find out that he
--donated 1.000.000 @euro{} to Bad Inc.
-+message of donating 1 euro to Greenpeace and find out that he
-+donated 1.000.000 euro to Bad Inc.
- 
- For a hash algorithm to be called cryptographic the following three
- requirements must hold
diff --git a/recipes/gnutls/gnutls_2.12.20.oe b/recipes/gnutls/gnutls_2.12.20.oe
deleted file mode 100644
index 656bf93..0000000
--- a/recipes/gnutls/gnutls_2.12.20.oe
+++ /dev/null
@@ -1,17 +0,0 @@
-require gnutls.inc
-
-LICENSE = "GPLv3+ & LGPLv2.1+"
-LICENSE_${PN} = "LGPLv2.1+"
-LICENSE_${PN}-xx = "LGPLv2.1+"
-LICENSE_${PN}-bin = "GPLv3+"
-LICENSE_${PN}-extra = "GPLv3+"
-LICENSE_${PN}-openssl = "GPLv3+"
-
-require conf/fetch/gnu.conf
-SRC_URI += "${GNU_MIRROR}/gnutls/gnutls-${PV}.tar.bz2"
-
-SRC_URI += "file://gets-not-defined-in-glibc-2.16.patch"
-SRC_URI += "file://gnutls-openssl.patch"
-SRC_URI += "file://correct_rpl_gettimeofday_signature.patch"
-SRC_URI += "file://configure-fix.patch"
-SRC_URI += "file://fix-gettext-version.patch"
diff --git a/recipes/gnutls/gnutls_2.12.20.oe.sig b/recipes/gnutls/gnutls_2.12.20.oe.sig
deleted file mode 100644
index 57a85cf..0000000
--- a/recipes/gnutls/gnutls_2.12.20.oe.sig
+++ /dev/null
@@ -1 +0,0 @@
-a8a7bb1f51b4da45d32242bd2e843ab3a66f63f6  gnutls-2.12.20.tar.bz2